Entity

List all entities

GET/entities

Retrieve all entities on your platform. Filtered results can be retrieved with extra parameters in the query (type, name, etc.).

Query Parameters

created.gt

date-timeOptional

Return results where the created time is greater than this value.

created.gte

date-timeOptional

Return results where the created time is greater than or equal to this value.

created.lt

date-timeOptional

Return results where the created time is less than this value.

created.lte

date-timeOptional

Return results where the created time is less than or equal to this value.

ending_before

stringOptional

A cursor for use in pagination. ending_before is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with foo_ZXhhbXBsZQo, your subsequent call can include ending_before=foo_ZXhhbXBsZQo in order to fetch the previous page of the list.

is_root

booleanOptional

Return results matching the specified root status.

limit

integerOptional

A limit on the number of objects to be returned, between 1 and 100. The default is 10.

name

stringOptional

Return entities with this name.

query

stringOptional

Free-text search query to match against entity fields.

starting_after

stringOptional

A cursor for use in pagination. starting_after is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with foo_ZXhhbXBsZQo, your subsequent call can include starting_after=foo_ZXhhbXBsZQo in order to fetch the next page of the list.

type

stringOptional

Return results with this entity type, either PERSON or BUSINESS.

verification_status

stringOptional

Return results with this verification status.